%define pypi_name zope-hookable
%define srcname zope.hookable

Name:           python-%{pypi_name}
Version:        6.0
Release:        %mkrel 2
Summary:        Zope hookable
Group:          Development/Python
License:        ZPL
URL:            https://pypi.org/project/zope-hookable/
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package supports the efficient creation of “hookable” objects, which are
callable objects that are meant to be optionally replaced.

The idea is that you create a function that does some default thing and make it
hookable. Later, someone can modify what it does by calling its sethook method
and changing its implementation. All users of the function, including those
that imported it, will see the change.

%package -n     python3-%{pypi_name}
Summary:        Zope hookable
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 6.0

%description -n python3-%{pypi_name}
This package supports the efficient creation of “hookable” objects, which are
callable objects that are meant to be optionally replaced.

The idea is that you create a function that does some default thing and make it
hookable. Later, someone can modify what it does by calling its sethook method
and changing its implementation. All users of the function, including those
that imported it, will see the change.

%prep
%autosetup -p1 -n zope.hookable-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zope

# not needed
rm -rf %{buildroot}%{python3_sitearch}/*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt COPYRIGHT.txt
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 6.0-2.mga10
+ Revision: 2157988
- rebuild for python3.13

* Wed Dec 20 2023 wally <wally> 6.0-1.mga10
+ Revision: 2020409
- rename source pkg as python-zope-hookable
- new version 6.0
- use pyproject rpm macros

* Sat Mar 19 2022 umeabot <umeabot> 5.0.1-4.mga9
+ Revision: 1799173
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 5.0.1-3.mga9
+ Revision: 1778558
- Rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 5.0.1-2.mga9
+ Revision: 1705077
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 5.0.1-1.mga8
+ Revision: 1608484
- new version 5.0.1
- new version works with Python 3.8 and latest setuptools
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 4.2.0-3.mga8
+ Revision: 1534558
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 guillomovitch <guillomovitch> 4.2.0-2.mga8
+ Revision: 1449373
- drop useless build dependency

* Thu Oct 03 2019 guillomovitch <guillomovitch> 4.2.0-1.mga8
+ Revision: 1449165
- imported package python-zope.hookable

